Package it.ernytech.tdlib

## Class TdApi.BasicGroup

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.BasicGroup

Enclosing class:
  TdApi

    public static class TdApi.BasicGroup
    extends TdApi.Object

Represents a basic group of 0-200 users (must be upgraded to a supergroup to accommodate more than 200 users).

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `everyoneIsAdministrator` True, if all members have been granted administrator rights in the group.
`int` `id` Group identifier.
`boolean` `isActive` True, if the group is active.
`int` `memberCount` Number of members in the group.
`TdApi.ChatMemberStatus` `status` Status of the current user in the group.
`int` `upgradedToSupergroupId` Identifier of the supergroup to which this group was upgraded; 0 if none.

### Constructor Summary

Constructors
`BasicGroup()` Default constructor.
`BasicGroup​(int id, int memberCount, TdApi.ChatMemberStatus status, boolean everyoneIsAdministrator, boolean isActive, int upgradedToSupergroupId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public int id

Group identifier.

#### memberCount

    public int memberCount

Number of members in the group.

#### status

    public TdApi.ChatMemberStatus status

Status of the current user in the group.

#### everyoneIsAdministrator

    public boolean everyoneIsAdministrator

True, if all members have been granted administrator rights in the group.

#### isActive

    public boolean isActive

True, if the group is active.

#### upgradedToSupergroupId

    public int upgradedToSupergroupId

Identifier of the supergroup to which this group was upgraded; 0 if none.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### BasicGroup

    public BasicGroup()

Default constructor.

#### BasicGroup

    public BasicGroup​(int id,
                      int memberCount,
                      TdApi.ChatMemberStatus status,
                      boolean everyoneIsAdministrator,
                      boolean isActive,
                      int upgradedToSupergroupId)

Constructor for initialization of all fields.

Parameters:
  `id` - Group identifier.
  `memberCount` - Number of members in the group.
  `status` - Status of the current user in the group.
  `everyoneIsAdministrator` - True, if all members have been granted administrator rights in the group.
  `isActive` - True, if the group is active.
  `upgradedToSupergroupId` - Identifier of the supergroup to which this group was upgraded; 0 if none.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR